See the top rated post in this thread. Click here

Results 1 to 4 of 4

Thread: add areas of multiple selected polygons

  1. #1
    I could stop if I wanted to
    Join Date
    2006-03
    Location
    San Cristobal, Guatemal
    Posts
    439
    Login to Give a bone
    0

    Default add areas of multiple selected polygons

    Looking for lisp to add accumulated areas of multiply selected polygons. Please advise, Thanks

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: add areas of multiple selected polygons

    Quote Originally Posted by Darren Allen View Post
    Looking for lisp to add accumulated areas of multiply selected polygons. Please advise, Thanks
    There are many out there, can you be more specific on what types of Objects you're wanting to be able to select, and what industry you're in?

    For example, here's one I use in Civil:

    Code:
    (vl-load-com)
    
    (defun c:AddArea (/ area)
      (if (ssget "_:L" '((0 . "CIRCLE,HATCH,*POLYLINE")))
        (progn
          (vlax-for	x (vla-get-activeselectionset acDoc)
    	(setq area (cons (vla-get-area x) area))
          )
          (prompt (strcat "\nTotal area: "
    		      (rtos (setq area (apply '+ area)) 2 2)
    		      " SF | "
    		      (rtos (/ area 9.0) 2 2)
    		      " SY | "
    		      (rtos (/ area 43560.0) 2 2)
    		      " AC "
    	      )
          )
        )
      )
      (princ)
    )


    Cheers
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #3
    I could stop if I wanted to
    Join Date
    2006-03
    Location
    San Cristobal, Guatemal
    Posts
    439
    Login to Give a bone
    1

    Red face Re: add areas of multiple selected polygons

    Quote Originally Posted by BlackBox View Post
    There are many out there, can you be more specific on what types of Objects you're wanting to be able to select, and what industry you're in?

    For example, here's one I use in Civil:

    Code:
    (vl-load-com)
    
    (defun c:AddArea (/ area)
      (if (ssget "_:L" '((0 . "CIRCLE,HATCH,*POLYLINE")))
        (progn
          (vlax-for	x (vla-get-activeselectionset acDoc)
    	(setq area (cons (vla-get-area x) area))
          )
          (prompt (strcat "\nTotal area: "
    		      (rtos (setq area (apply '+ area)) 2 2)
    		      " SF | "
    		      (rtos (/ area 9.0) 2 2)
    		      " SY | "
    		      (rtos (/ area 43560.0) 2 2)
    		      " AC "
    	      )
          )
        )
      )
      (princ)
    )


    Cheers
    Thank you BlackBox, I am also and new to civil using Civil 3D 13. I am doing the cross cut calculations for drain ditch clean out. "Bpoly" is creating the polygons but I am currently selecting each one and adding on calculator and then placing in spreadsheet. Time consuming. Wish to speed up process. Any advise? Thanks

    EDIT POST: This is all great, Thanks for your help but I have stumbled upon the ACAD command "AA" which when following prompts allows for the adding or subtracting of selected object areas. DAH!!!
    Last edited by Darren Allen; 2014-09-24 at 04:03 PM.

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: add areas of multiple selected polygons

    This is just a test............

    [Edit] - I've been trying for the past few days to post a reply, and keep getting an error. Hope to have this resolved soon.
    Last edited by BlackBox; 2014-09-26 at 07:10 PM.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

Similar Threads

  1. calculating polygons areas using autocad field
    By franciscorefosco in forum AutoCAD Customization
    Replies: 14
    Last Post: 2017-03-26, 04:57 AM
  2. Sum Multiple Areas when Selected
    By Wish List System in forum Revit Architecture - Wish List
    Replies: 0
    Last Post: 2015-04-07, 01:32 PM
  3. Replies: 0
    Last Post: 2011-11-21, 05:07 PM
  4. Areas and Spaces - Add Selected
    By jabcad in forum ACA General
    Replies: 3
    Last Post: 2006-09-06, 04:16 PM
  5. Replies: 1
    Last Post: 2006-09-01, 02:02 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •